# Recover

Helps recovering a corrupted database.

Methods
static void | execute(String dir, String db) Dumps the contents of a database to a SQL script file.
static void | execute(String dir, String db) throws SQLException Dumps the contents of a database to a SQL script file. Parameters: dir - the directory db - the database name (null for all databases)
static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-dir <dir>] | The directory (default: .)
[-db <database>] | The database name (all databases if not set)
[-trace] | Print additional trace information
[-transactionLog] | Print the transaction log

Encrypted databases need to be decrypted first.
Parameters:
args - the command line arguments

CompareMode | getCompareMode()
CompareMode | getCompareMode()
JavaObjectSerializer | getJavaObjectSerializer()
JavaObjectSerializer | getJavaObjectSerializer()
void | runTool(String... args) Dumps the contents of a database file to a human readable text file.

void

runTool(String... args) throws SQLException
Dumps the contents of a database file to a human readable text file. This text file can be used to recover most of the data. This tool does not open the database and can be used even if the database files are corrupted. A database can get corrupted if there is a bug in the database engine or file system software, or if an application writes into the database file that doesn't understand the the file format, or if there is a hardware problem.
Parameters:
args - the command line arguments